> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.mysoleas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detail d'une souscription



## OpenAPI

````yaml GET /merchand/billing/subscriptions/detail/{reference}
openapi: 3.1.0
info:
  title: Mysoleas API
  version: 3.0.0
  description: >-
    Nouvelle architecture Mysoleas: gateway de paiement et authentification
    OAuth 2.0.
servers:
  - url: https://api.mysoleas.com
    description: Gateway Mysoleas
  - url: https://account.mysoleas.com
    description: Authentification Mysoleas
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Plugin
  - name: Payment links
  - name: Subscriptions
  - name: Collections
  - name: Disbursements
  - name: Catalog
paths:
  /merchand/billing/subscriptions/detail/{reference}:
    get:
      tags:
        - Subscriptions
      summary: Lire le detail d'une souscription
      parameters:
        - $ref: '#/components/parameters/Reference'
        - name: for
          in: query
          schema:
            type: string
            enum:
              - merchant
              - desc
          description: Utilisez `merchant` pour lire le detail cote marchand.
      responses:
        '200':
          $ref: '#/components/responses/SubscriptionDetailSuccess'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Reference:
      name: reference
      in: path
      required: true
      schema:
        type: string
  responses:
    SubscriptionDetailSuccess:
      description: Detail de souscription
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SubscriptionDetailApiResponse'
    NotFound:
      description: Ressource introuvable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    SubscriptionDetailApiResponse:
      allOf:
        - $ref: '#/components/schemas/ApiResponseBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/SubscriptionDetail'
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: integer
          example: 400
        message:
          type: string
          example: empty_data
        error:
          type: object
          properties:
            details:
              type:
                - object
                - array
                - string
                - 'null'
    ApiResponseBase:
      type: object
      properties:
        code:
          type: integer
          example: 200
        success:
          type: boolean
          example: true
        locale:
          type: string
          example: fr
        message:
          type: string
        meta:
          type: object
          additionalProperties: true
    SubscriptionDetail:
      allOf:
        - $ref: '#/components/schemas/Subscription'
        - type: object
          properties:
            uuid:
              type: string
            merchant_id:
              type: string
            customer_user_id:
              type:
                - string
                - 'null'
            description:
              type: string
            subscribed_at:
              type:
                - string
                - 'null'
            last_payment_at:
              type:
                - string
                - 'null'
            cancelled_at:
              type:
                - string
                - 'null'
            suspended_at:
              type:
                - string
                - 'null'
            reactivated_at:
              type:
                - string
                - 'null'
            metadata:
              type: object
              additionalProperties: true
            latest_payments:
              type: array
              items:
                $ref: '#/components/schemas/SubscriptionPayment'
    Subscription:
      type: object
      properties:
        reference:
          type: string
        customer_email:
          type: string
        amount:
          type: integer
        currency:
          type: string
        frequency:
          type: string
          enum:
            - DAILY
            - WEEKLY
            - MONTHLY
            - QUARTERLY
            - YEARLY
        status:
          type: string
          enum:
            - ACTIVE
            - SUSPENDED
            - CANCELLED
            - EXPIRED
        next_payment_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
    SubscriptionPayment:
      type: object
      properties:
        reference:
          type: string
        amount:
          type: integer
        currency:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - PAID
            - FAILED
            - CANCELLED
        due_at:
          type:
            - string
            - 'null'
          format: date-time
        paid_at:
          type:
            - string
            - 'null'
          format: date-time
        payment_intent_reference:
          type:
            - string
            - 'null'
        payment_link_reference:
          type:
            - string
            - 'null'
        wallet_transaction_id:
          type:
            - string
            - 'null'
        failure_reason:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````